BSD-FAQ-it
Indietro | Capitolo 6. Installare FreeBSD | Avanti

# 6.3. Strumenti per il Backup

I dati vengono comunemente memorizzati nelle unità a disco e FreeBSD, come qualsiasi altro sistema UNIX® like, dispone di alcuni comandi che consentono di archiviare e mettere al sicuro le informazioni più importanti.

L'utility tar, tape archiver, consente di creare degli archivi di files nel formato tar, l'opzione c serve per creare un nuovo file, l'opzione v imposta la modalità verbose e per finire l'opzione fconsente di creare il nuovo output sul disco

    # mkdir /usr/backup
    # tar cvf /usr/backup/etc.tar /etc/

l'utility gzip comprime l'archivio, l'opzione -9 imposta il massimo livello di compressione

    # gzip -9 /usr/backup/etc.tar

dopo aver archiviato e compresso la directory /etc procediamo con il backup di /usr/local/etc che contiene tutte le configurazioni dei programmi eseguiti come processi locali

    # tar cvf /usr/backup/usr.local.etc.tar /usr/local/etc/
    # gzip -9 /usr/backup/usr.local.etc.tar
    # ls /usr/backup/
    total 644
    drwxr-xr-x   2 root  wheel     512 Aug 27 13:05 ./
    drwxr-xr-x  20 root  wheel     512 Aug 27 13:00 ../
    -rw-r--r--   1 root  wheel  400379 Aug 27 13:02 etc.tar.gz
    -rw-r--r--   1 root  wheel  212523 Aug 27 13:05 usr.local.etc.tar.gz

Dopo aver eseguito i backup possiamo ripristinare i files in qualsiasi momento

    #tar zxvf /usr/backup/etc.tar.gz

possiamo copiare tutti i files contenenti i backup su un disco removibile, su una unità a nastro, oppure tramite le opportune applicazioni, è anche possibile eseguire dei file transfer sulla rete.

Indietro | Partenza | Avanti
Softupdates | Risali | Sicurezza dei file e del file system